curl -X POST "https://api.joinformal.com/core.v1.InsightsService/GetInsight" \
-H "X-API-KEY: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"example": "value"
}'{
"insight": {
"id": "<string>",
"orgId": "<string>",
"title": "<string>",
"description": "<string>",
"category": "<string>",
"severity": "<string>",
"confidence": 123,
"outcome": "<string>",
"status": "<string>",
"subjectType": "<string>",
"subjectId": "<string>",
"subjectLabel": "<string>",
"subjectOnBehalfOf": "<string>",
"evidence": [
{
"type": "<string>",
"ref": "<string>",
"hitCount": "<unknown>",
"timeWindowStart": "2023-11-07T05:31:56Z",
"timeWindowEnd": "2023-11-07T05:31:56Z"
}
],
"suggestedAction": {
"type": "<string>",
"summary": "<string>",
"formalHint": {
"name": "<string>",
"description": "<string>",
"code": "<string>",
"resourceName": "<string>",
"action": "<string>",
"dryRun": true
}
},
"reasoning": "<string>",
"sourceThreatEvaluationId": "<string>",
"fingerprint": "<string>",
"occurrenceCount": 123,
"firstSeenAt": "2023-11-07T05:31:56Z",
"lastSeenAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"categoryId": "<string>"
}
}curl -X POST "https://api.joinformal.com/core.v1.InsightsService/GetInsight" \
-H "X-API-KEY: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"example": "value"
}'{
"insight": {
"id": "<string>",
"orgId": "<string>",
"title": "<string>",
"description": "<string>",
"category": "<string>",
"severity": "<string>",
"confidence": 123,
"outcome": "<string>",
"status": "<string>",
"subjectType": "<string>",
"subjectId": "<string>",
"subjectLabel": "<string>",
"subjectOnBehalfOf": "<string>",
"evidence": [
{
"type": "<string>",
"ref": "<string>",
"hitCount": "<unknown>",
"timeWindowStart": "2023-11-07T05:31:56Z",
"timeWindowEnd": "2023-11-07T05:31:56Z"
}
],
"suggestedAction": {
"type": "<string>",
"summary": "<string>",
"formalHint": {
"name": "<string>",
"description": "<string>",
"code": "<string>",
"resourceName": "<string>",
"action": "<string>",
"dryRun": true
}
},
"reasoning": "<string>",
"sourceThreatEvaluationId": "<string>",
"fingerprint": "<string>",
"occurrenceCount": 123,
"firstSeenAt": "2023-11-07T05:31:56Z",
"lastSeenAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"categoryId": "<string>"
}
}Was this page helpful?
Suggestions